Name:		aegisub
Version:	3.2.2
Release:	alt1
Summary:	Advanced Subtitle Editor
Group:		Video
License:	BSD
URL:		http://www.aegisub.org/
Source0:	%name-%version.tar.gz
Patch0:		0001-Add-missing-AM_GNU_GETTEXT_VERSION-macro.patch
Patch1:		aegisub-pthread.patch

# Automatically added by buildreq on Sat Feb 16 2019
# optimized out: at-spi2-atk boost-devel boost-interprocess-devel ffms2 fontconfig glib2-devel gnu-config libX11-devel libat-spi2-core libcairo-gobject libfreetype-devel libgdk-pixbuf libgpg-error libjson-c libopencore-amrnb0 libopencore-amrwb0 libp11-kit libstdc++-devel libwayland-client libwayland-cursor libwayland-egl libwayland-server libwxBase3.0-devel libwxGTK3.0-gl perl pkg-config python-base python-modules python3 python3-base xorg-xproto-devel xz

BuildRequires: boost-asio-devel boost-devel-headers boost-filesystem-devel boost-flyweight-devel boost-locale-devel boost-log-devel
BuildRequires: ffms2-devel fontconfig-devel gcc-c++ libGL-devel libalsa-devel libass-devel libfftw3-devel libhunspell-devel
BuildRequires: libicu-devel libportaudio2-devel libpulseaudio-devel libwxGTK3.0-devel zlib-devel intltool

%description
Aegisub is an advanced subtitle editor that assists in the creation of
subtitles, translations, and complex overlays using audio or video. Developed
by enthusiasts it builds on work-flows created and perfected through
professional, hobby, and everyday use.

%prep
%setup -q -n %name-%version
%patch -p1
%patch1 -p1

%build
%autoreconf
%configure \
		--without-oss \
		--without-openal \
		--with-player-audio=PulseAudio \
		--disable-update-checker \
		--with-build-credit=ALT
%make_build

%install
%makeinstall_std
%find_lang %name

%files -f %name.lang
%doc automation/v4-docs/ docs/art-sources docs/specs docs/wiki_convert/*.pl LICENCE
%_bindir/*
%dir %_datadir/%name
%_datadir/%name/*
%_datadir/applications/%name.desktop
%_iconsdir/hicolor/*/apps/%name.png
%_iconsdir/hicolor/scalable/apps/%name.svg
%_datadir/locale/*

%changelog
